For Travelport Apollo and Galileo users


All Travelport Apollo and Travelport Galileo users must take the following actions by 01 March 2018, in order to continue to be able to access Travelport Apollo or Travelport Galileo.

Travelport Smartpoint 7.5.2 was released on 13 Jan 2018. It includes an auto notification that alerts you to run the upgrade automatically. This release will initiate the following:


  • Validate your Operating system Windows 7+Service Pack 1 (SP1) or higher
  • Upgrade you to .NET 4.6.2 Microsoft Framework (or higher)
  • Upgrade you to Travelport Smartpoint 7.5.2
  • Perform an automated check to confirm if Galileo SSL is installed, and if so will upgrade you to Galileo SSL 3.0.0
  • Run the 'Am I Ready' Checker

Please note, our partner, SecurityMetrics offers PCI DSS certification services

To support you in becoming PCI DSS compliant find out more below.


Count down to 01 March 2018

  • Days
  • Hours
  • Mins
  • Am I ready?
    Check your level of PCI DSS compliance with the Travelport 'Am I ready' checker.
    Click here, or on the link to the right for more information.

    Supported Microsoft environments
    Find out if your Operating System and .NET framework are PCI DSS compliant.
    Click here, or on the link to the right for more information.

    Upgrade to the new PCI DSS compliant versions of Travelport Galileo Desktop and Travelport Smartpoint.
    Click on the links to the right for more information.

    Get certified for IATA 01 March 2018 compliance deadline
    Travelport have partnered with SecurityMetrics who offer PCI DSS certification services with preferential rates for Travelport customers.
    Click here, or on the link to the right for more information.